Bug 586544 - qpid::agent::ManagementAgent::init call doesn't provide complete connection control
Summary: qpid::agent::ManagementAgent::init call doesn't provide complete connection c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf
Version: Development
Hardware: All
OS: Linux
high
high
Target Milestone: 1.3
: ---
Assignee: Ted Ross
QA Contact: Jan Sarenik
URL:
Whiteboard:
Depends On:
Blocks: 595710
TreeView+ depends on / blocked
 
Reported: 2010-04-27 20:28 UTC by Ted Ross
Modified: 2011-08-12 16:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 595710 (view as bug list)
Environment:
Last Closed: 2010-10-20 11:28:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ted Ross 2010-04-27 20:28:30 UTC
Description of problem:

The init() call variant that uses ConnectionSettings was deprecated from the C++ QMF Agent API.  Because of this, the application no longer has access to certain connection parameters (i.e. security-strength-factors, heartbeat intervals, tcp-nodelay, etc.).

A suitable replacement is needed to re-provide access to these features.

The replacement needs to be API-extensible and boost-free.

Comment 1 Ted Ross 2010-05-25 14:04:14 UTC
Fixed upstream in revision 948046.

ConnectionSettings has been moved from the qpid::client namespace to the qpid::management namespace.

Comment 2 Jan Sarenik 2010-05-31 12:46:41 UTC
I have read through source code changes in revision 948046 of SVN
(c940805177c8276f2ee9331c8db6f86f7baee8fd git) and verified it is
included in package qpid-cpp-client-devel-0.7.946106-2.el5 while
in qpid-cpp-client-devel-0.7.946106-1.el5 there is no file
/usr/include/qpid/management/ConnectionSettings.h.

I also verified there is the second (overloaded) declaration
of function init init which uses ConnectionSetting from the
right namespace.


Note You need to log in before you can comment on or make changes to this bug.